Page MenuHomeFreeBSD

devmap: eliminate unused arguments
ClosedPublic

Authored by mhorne on May 23 2024, 7:15 PM.
Tags
None
Referenced Files
Unknown Object (File)
Fri, Jul 5, 8:37 PM
Unknown Object (File)
Mon, Jul 1, 2:09 AM
Unknown Object (File)
Fri, Jun 28, 8:11 PM
Unknown Object (File)
Tue, Jun 25, 11:59 PM
Unknown Object (File)
Jun 11 2024, 7:01 AM
Unknown Object (File)
Jun 5 2024, 1:07 AM
Unknown Object (File)
Jun 4 2024, 7:34 PM
Unknown Object (File)
Jun 3 2024, 6:46 AM

Details

Summary

The optional 'table' pointer is a legacy part of the interface, which
has been replaced by devmap_register_table()/devmap_add_entry(). The few
in-tree callers have already adapted to this, so it can be removed.

The 'l1pt' argument is already entirely unused within the function.

Diff Detail

Repository
rG FreeBSD src repository
Lint
Lint Not Applicable
Unit
Tests Not Applicable

Event Timeline

This revision is now accepted and ready to land.May 23 2024, 7:45 PM

Remove the table argument too; this is a legacy interface that is now unused.

Current code is either provides a table explicitly via devmap_register_table(), or implicitly by the first call to devmap_add_entry().

This revision now requires review to proceed.Jun 4 2024, 5:17 PM
mhorne retitled this revision from devmap: eliminate useless argument to devmap: eliminate unused arguments.Jun 4 2024, 5:27 PM
mhorne edited the summary of this revision. (Show Details)
This revision is now accepted and ready to land.Jun 4 2024, 5:33 PM
This revision was automatically updated to reflect the committed changes.